cmdargs

System.Console.CmdArgs.Test.Implicit.Util

Synopsis

- toDemo :: (Typeable a, Show a) => Mode (CmdArgs a) -> Mode Demo
- invalid :: Data a => (() -> a) -> IO ()
- data Tester a = Tester {
  - (===) :: [String] -> a -> IO ()
  - fails :: [String] -> IO ()
  - isHelp :: [String] -> [String] -> IO ()
  - isHelpNot :: [String] -> [String] -> IO ()
  - isVersion :: [String] -> String -> IO ()
  - isVerbosity :: [String] -> Verbosity -> IO ()
  - completion :: [String] -> (Int, Int) -> [Complete] -> IO ()
  }
- testers :: (Show a, Eq a) => String -> [Mode (CmdArgs a)] -> Tester a
- tester :: (Show a, Eq a) => String -> Mode (CmdArgs a) -> Tester a
- match :: [String] -> [String] -> Bool
- matchLine :: String -> String -> Bool
- data Complete
  - = CompleteValue String
  - | CompleteFile String FilePath
  - | CompleteDir String FilePath

# Documentation

toDemo :: (Typeable a, Show a) => Mode (CmdArgs a) -> Mode Demo

invalid :: Data a => (() -> a) -> IO ()

data Tester a

Constructors

Tester |

Fields

(===) :: [String] -> a -> IO ()
fails :: [String] -> IO ()
isHelp :: [String] -> [String] -> IO ()
isHelpNot :: [String] -> [String] -> IO ()
isVersion :: [String] -> String -> IO ()
isVerbosity :: [String] -> Verbosity -> IO ()
completion :: [String] -> (Int, Int) -> [Complete] -> IO ()

testers :: (Show a, Eq a) => String -> [Mode (CmdArgs a)] -> Tester a

tester :: (Show a, Eq a) => String -> Mode (CmdArgs a) -> Tester a

match :: [String] -> [String] -> Bool

matchLine :: String -> String -> Bool

data Complete

How to complete a command line option. The `Show` instance is suitable for parsing from shell scripts.

Constructors

CompleteValue String | Complete to a particular value
CompleteFile String FilePath | Complete to a prefix, and a file
CompleteDir String FilePath | Complete to a prefix, and a directory

Instances

Eq Complete |
Ord Complete |
Show Complete |